#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
//ËøÁ´òùòð
class CS_AmChainBat :
    public Entity
{
public:
    CS_AmChainBat(std::shared_ptr<Entity> target);
    void Init(std::weak_ptr<Entity> self) override;
    void SetState(std::wstring stateName, int lr) override;
    void Step() override;
    void ReleasTarget();
    std::weak_ptr<Entity> target;
    EntityStateGravity stateGravity;
    bool bBind = false;
};

